Bug 241281 - iwl3945 breaks IPv6 autoconfiguration
iwl3945 breaks IPv6 autoconfiguration
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-05-24 15:51 EDT by Steve Hill
Modified: 2008-03-31 09:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-31 09:58:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Hill 2007-05-24 15:51:29 EDT
Description of problem:
Before an IPv6 address is assigned to an interface after receiving a router
advertisement packet, a broadcast is sent to the network to check if the address
is in use already.  When this happens the iwl3945 driver reports
"wlan0:duplicate address detected!"

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Enable IPv6
2. Plug into a network which has an IPv6 router doing advertisments
Actual results:
Global scope IPv6 address is never assigned and dmesg logs dupe address warnings.

Expected results:
Global IPv6 address should be assigned on receipt of a router advertisement

Additional info:
Could be a reoccurrance of:
Comment 1 Steve Hill 2007-05-25 16:09:53 EDT
There are network dumps of the problem in action:

The set up I have is:


(===== is 100Mbps ethernet, ----- is 802.11g)

The router is doing IPv6 router advertisements, the notebook is supposed to
be using them to configure the IPv6 address on it's wlan0 interface (an
iwl3945).  The access point is a LinkSys WRT54GL running OpenWRT
WhiteRussian and is just bridging the wired network to the wireless network.

So, ap.pcap is a dump from the 802.11 interface on the access point.
wlan0.pcap is a dump from the 802.11 interface on the notebook.

The sequence of events is basically:
1. Router sends advertisement
2. Notebook receives advertisement
3. Notebook picks an IP address and sends a neighbor solicitation to see if
anyone else is already using that address.

(these 3 steps happen twice in these network dumps).

The dump taken on the access point clearly shows that the notebook sends
just one neighbor solicitation for each router advertisement it receives.
However, the dump taken on the notebook shows two neighbor solicitation
messages for each router advertisement.

Seems reasonably conclusive - it looks like the notebook is sending a
neighbor solicitation and is then receiving it's own data again.

This bug is also being tracked at: http://bughost.org/bugzilla/show_bug.cgi?id=1283
Comment 2 Steve Hill 2007-06-23 06:42:46 EDT
A patch has been provided in the upstream Bugzilla which fixes the problem:
Comment 3 John W. Linville 2008-03-31 09:58:23 EDT
This should be long resolved -- let me know if it isn't...

Note You need to log in before you can comment on or make changes to this bug.